# Created by pyp2rpm-3.3.2
%global pypi_name relatorio

Name:           python-%{pypi_name}
Version:        0.10.1
Release:        %mkrel 1
Summary:        A templating library able to output odt and pdf files
Group:          Development/Python
License:        GPL License
URL:            https://relatorio.tryton.org/
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(genshi) >= 0.5
BuildRequires:  python3dist(lxml) >= 2.0
BuildRequires:  python3dist(pycha) >= 0.4.0
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Relatorio Relatorio is a templating library which provides a way to easily
output several kinds of files (odt, ods, png, svg, ...). Support for more
filetypes can be easily added by creating plugins for them.Relatorio also
provides a report repository allowing you to link python objects and report
together, find reports by mimetype/name/python object. Documentation The
documentation is provided at.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(genshi) >= 0.5
Requires:       python3dist(lxml) >= 2.0
Requires:       python3dist(pycha) >= 0.4.0
Requires:       python3dist(file-magic)
Requires:       python3dist(pyyaml)

%description -n python3-%{pypi_name}
Relatorio Relatorio is a templating library which provides a way to easily
output several kinds of files (odt, ods, png, svg, ...). Support for more
filetypes can be easily added by creating plugins for them.Relatorio also
provides a report repository allowing you to link python objects and report
together, find reports by mimetype/name/python object. Documentation The
documentation is provided at.

%package -n python-%{pypi_name}-doc
Summary:        relatorio documentation

%description -n python-%{pypi_name}-doc
Documentation for relatorio.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files relatorio

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE

%{_bindir}/relatorio-render

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE


%changelog
* Wed Sep 07 2022 neoclust <neoclust> 0.10.1-1.mga9
+ Revision: 1885216
- New version  0.10.1

* Tue Mar 29 2022 umeabot <umeabot> 0.10.0-2.mga9
+ Revision: 1832820
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.10.0-1.mga9
+ Revision: 1783095
- version 0.10.0
- fix files list
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.8.1-6.mga9
+ Revision: 1732627
- Rebuild for python 3.9

* Thu Nov 19 2020 joequant <joequant> 0.8.1-5.mga8
+ Revision: 1647470
- fix requires to point to renamed package file-magic

* Sun Feb 16 2020 umeabot <umeabot> 0.8.1-4.mga8
+ Revision: 1534093
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 0.8.1-3.mga8
+ Revision: 1446909
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 0.8.1-2.mga7
+ Revision: 1354235
- Rebuild for python3 3.7

* Fri Nov 30 2018 joequant <joequant> 0.8.1-1.mga7
+ Revision: 1336866
- remove tests
- imported package python-relatorio

